sc::SphericalTransformCCA Class Reference
Inheritance diagram for sc::SphericalTransformCCA:
[legend]
Collaboration diagram for sc::SphericalTransformCCA:
[legend]

## Public Member Functions

| SphericalTransformCCA (int l, int subl=-1)
SphericalTransformComponent * | new_components ()
| This must create SphericalTransformComponent's of the appropriate specialization. More...
Public Member Functions inherited from sc::SphericalTransform
void | add (int a, int b, int c, double coef, int pureindex)
| Adds another SphericalTransformComponent.
int | cartindex (int i) const
| Returns the Cartesian basis function index of component i.
int | pureindex (int i) const
| Returns the solid harmonic basis function index of component i.
double | coef (int i) const
| Returns the transform coefficient of component i.
int | a (int i) const
| Returns the Cartesian basis function's x exponent of component i.
int | b (int i) const
| Returns the Cartesian basis function's y exponent of component i.
int | c (int i) const
| Returns the Cartesian basis function's z exponent of component i.
int | l () const
| Returns the angular momentum.
int | n () const
| Returns the number of components in the transformation.

## Additional Inherited Members

Protected Member Functions inherited from sc::SphericalTransform
| SphericalTransform (int l, int subl=-1)
| This constructs the SphericalTransform for the given Cartesian angular momentum l and solid harmonic angular momentum subl. More...
virtual void | init ()
| This determines all of the components of the transformation. More...
Protected Attributes inherited from sc::SphericalTransform
int | n_
int | l_
int | subl_
SphericalTransformComponent * | components_

## Member Function Documentation

SphericalTransformComponent* sc::SphericalTransformCCA::new_components | ( |  | ) |

inlinevirtual

This must create SphericalTransformComponent's of the appropriate specialization.

Implements sc::SphericalTransform.

The documentation for this class was generated from the following file:

- intcca/tform.h